### Function

# Gio Resource load

since: 2.32

#### Declaration [src]

    GResource*
    g_resource_load (
      const gchar* filename,
      GError** error
    )

#### Description [src]

Loads a binary resource bundle and creates a `GResource` representation of it, allowing you to query it for data.

If you want to use this resource in the global resource namespace you need to register it with `g_resources_register()`.

If `filename` is empty or the data in it is corrupt, `G_RESOURCE_ERROR_INTERNAL` will be returned. If `filename` doesn’t exist, or there is an error in reading it, an error from `g_mapped_file_new()` will be returned.

Available since: 2.32

#### Parameters

`filename`

  Type: `const gchar*`

  The path of a filename to load, in the GLib filename encoding.

  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GResource`

A new `GResource`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.